import React, { useState } from 'react';
import { Td, Tr, Link, Select } from '@chakra-ui/react';

const OrderItem = ({
  carNumber,
  washTime,
  orderDate,
  status,
  phone,
  location,
}) => {
  const [statusSelect, setStatus] = useState(status);

  return (
    <Tr>
      <Td>{carNumber}</Td>
      <Td>{washTime}</Td>
      <Td>{orderDate}</Td>
      <Td>
        <Select
          value={statusSelect}
          onChange={(e) => setStatus(e.target.value)}
          placeholder='Выберите статус'
        >
          <option value='в ожидании'>в ожидании</option>
          <option value='В процессе'>в процессе</option>
          <option value='в работе'>в работе</option>
          <option value='отменил'>отменил</option>
          <option value='Завершено'>Завершено</option>
        </Select>
      </Td>
      <Td>
        <Link href='tel:'>{phone}</Link>
      </Td>
      <Td>{location}</Td>
    </Tr>
  );
};

export default OrderItem;
